﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Excel = Microsoft.Office.Interop.Excel;
using System.Runtime.InteropServices;

namespace ExcelSDI
{
    public partial class frmTaskPane : Form
    {
        private Excel._Application ExcelAppObj = null;

        public frmTaskPane(Excel._Application excelApp)
        {
            ExcelAppObj = excelApp;
            InitializeComponent();
        }

        private void frmTaskPane_Load(object sender, EventArgs e)
        {
            ctlWBCopier ctlCopier = new ctlWBCopier(this.ExcelAppObj as Excel._Application);
            ctlCopier.Dock = DockStyle.Fill;
            this.Controls.Add(ctlCopier);
        }

        private void frmTaskPane_FormClosed(object sender, FormClosedEventArgs e)
        {
            AddinModule.CurrentInstance.taskPaneForm = null;
        }
    }
}
